---
cdiVersion: 0.5.0
kind: nvidia.com/gpu
devices:
    - name: "0"
      containerEdits:
        deviceNodes:
            - path: /dev/nvidia0
            - path: /dev/dri/card0
            - path: /dev/dri/renderD128
    - name: "1"
      containerEdits:
        deviceNodes:
            - path: /dev/nvidia1
            - path: /dev/dri/card1
            - path: /dev/dri/renderD129
    - name: GPU-06b3b2cf-329a-e6e5-1e4a-91d2750bd8c4
      containerEdits:
        deviceNodes:
            - path: /dev/nvidia1
            - path: /dev/dri/card1
            - path: /dev/dri/renderD129
    - name: GPU-b8790d2b-0e3b-aed1-671f-d8a3eb2e906f
      containerEdits:
        deviceNodes:
            - path: /dev/nvidia0
            - path: /dev/dri/card0
            - path: /dev/dri/renderD128
    - name: all
      containerEdits:
        deviceNodes:
            - path: /dev/nvidia0
            - path: /dev/nvidia1
            - path: /dev/dri/card0
            - path: /dev/dri/card1
            - path: /dev/dri/renderD128
            - path: /dev/dri/renderD129
containerEdits:
    env:
        - NVIDIA_CTK_LIBCUDA_DIR=/usr/lib64
        - NVIDIA_VISIBLE_DEVICES=void
    deviceNodes:
        - path: /dev/nvidia-modeset
        - path: /dev/nvidia-uvm
        - path: /dev/nvidia-uvm-tools
        - path: /dev/nvidiactl
    hooks:
        - hookName: createContainer
          path: /usr/bin/nvidia-cdi-hook
          args:
            - nvidia-cdi-hook
            - create-symlinks
            - --link
            - ../libnvidia-allocator.so.1::/usr/lib64/gbm/nvidia-drm_gbm.so
            - --link
            - libnvidia-vulkan-producer.so.525.85.05::/usr/lib64/libnvidia-vulkan-producer.so
            - --link
            - libglxserver_nvidia.so.525.85.05::/usr/lib64/xorg/modules/extensions/libglxserver_nvidia.so
          env:
            - NVIDIA_CTK_DEBUG=false
        - hookName: createContainer
          path: /usr/bin/nvidia-cdi-hook
          args:
            - nvidia-cdi-hook
            - create-symlinks
            - --link
            - libEGL_nvidia.so.525.85.05::/usr/lib64/libEGL_nvidia.so.0
            - --link
            - libGLESv1_CM_nvidia.so.525.85.05::/usr/lib64/libGLESv1_CM_nvidia.so.1
            - --link
            - libGLESv2_nvidia.so.525.85.05::/usr/lib64/libGLESv2_nvidia.so.2
            - --link
            - libGLX_nvidia.so.525.85.05::/usr/lib64/libGLX_indirect.so.0
            - --link
            - libGLX_nvidia.so.525.85.05::/usr/lib64/libGLX_nvidia.so.0
            - --link
            - libcuda.so.1::/usr/lib64/libcuda.so
            - --link
            - libcuda.so.525.85.05::/usr/lib64/libcuda.so.1
            - --link
            - libcudadebugger.so.525.85.05::/usr/lib64/libcudadebugger.so.1
            - --link
            - libnvcuvid.so.525.85.05::/usr/lib64/libnvcuvid.so.1
            - --link
            - libnvcuvid.so.1::/usr/lib64/libnvcuvid.so
            - --link
            - libnvidia-allocator.so.525.85.05::/usr/lib64/libnvidia-allocator.so.1
            - --link
            - libnvidia-allocator.so.1::/usr/lib64/libnvidia-allocator.so
            - --link
            - libnvidia-cfg.so.525.85.05::/usr/lib64/libnvidia-cfg.so.1
            - --link
            - libnvidia-cfg.so.1::/usr/lib64/libnvidia-cfg.so
            - --link
            - libnvidia-encode.so.525.85.05::/usr/lib64/libnvidia-encode.so.1
            - --link
            - libnvidia-encode.so.1::/usr/lib64/libnvidia-encode.so
            - --link
            - libnvidia-fbc.so.525.85.05::/usr/lib64/libnvidia-fbc.so.1
            - --link
            - libnvidia-fbc.so.1::/usr/lib64/libnvidia-fbc.so
            - --link
            - libnvidia-ml.so.525.85.05::/usr/lib64/libnvidia-ml.so.1
            - --link
            - libnvidia-ml.so.1::/usr/lib64/libnvidia-ml.so
            - --link
            - libnvidia-ngx.so.525.85.05::/usr/lib64/libnvidia-ngx.so.1
            - --link
            - libnvidia-nvvm.so.525.85.05::/usr/lib64/libnvidia-nvvm.so.4
            - --link
            - libnvidia-nvvm.so.4::/usr/lib64/libnvidia-nvvm.so
            - --link
            - libnvidia-opencl.so.525.85.05::/usr/lib64/libnvidia-opencl.so.1
            - --link
            - libnvidia-opticalflow.so.1::/usr/lib64/libnvidia-opticalflow.so
            - --link
            - libnvidia-opticalflow.so.525.85.05::/usr/lib64/libnvidia-opticalflow.so.1
            - --link
            - libnvidia-ptxjitcompiler.so.525.85.05::/usr/lib64/libnvidia-ptxjitcompiler.so.1
            - --link
            - libnvidia-ptxjitcompiler.so.1::/usr/lib64/libnvidia-ptxjitcompiler.so
            - --link
            - libnvidia-vulkan-producer.so.525.85.05::/usr/lib64/libnvidia-vulkan-producer.so
            - --link
            - libnvoptix.so.525.85.05::/usr/lib64/libnvoptix.so.1
            - --link
            - libvdpau_nvidia.so.525.85.05::/usr/lib64/vdpau/libvdpau_nvidia.so.1
          env:
            - NVIDIA_CTK_DEBUG=false
        - hookName: createContainer
          path: /usr/bin/nvidia-cdi-hook
          args:
            - nvidia-cdi-hook
            - enable-cuda-compat
            - --host-driver-version=525.85.05
          env:
            - NVIDIA_CTK_DEBUG=false
        - hookName: createContainer
          path: /usr/bin/nvidia-cdi-hook
          args:
            - nvidia-cdi-hook
            - update-ldcache
            - --folder
            - /usr/lib64
            - --folder
            - /usr/lib64/vdpau
          env:
            - NVIDIA_CTK_DEBUG=false
        - hookName: createContainer
          path: /usr/bin/nvidia-cdi-hook
          args:
            - nvidia-cdi-hook
            - disable-device-node-modification
          env:
            - NVIDIA_CTK_DEBUG=false
    mounts:
        - hostPath: /usr/bin/nvidia-cuda-mps-control
          containerPath: /usr/bin/nvidia-cuda-mps-control
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/bin/nvidia-cuda-mps-server
          containerPath: /usr/bin/nvidia-cuda-mps-server
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/bin/nvidia-debugdump
          containerPath: /usr/bin/nvidia-debugdump
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/bin/nvidia-persistenced
          containerPath: /usr/bin/nvidia-persistenced
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/bin/nvidia-smi
          containerPath: /usr/bin/nvidia-smi
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libEGL_nvidia.so.525.85.05
          containerPath: /usr/lib64/libEGL_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libGLESv1_CM_nvidia.so.525.85.05
          containerPath: /usr/lib64/libGLESv1_CM_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libGLESv2_nvidia.so.525.85.05
          containerPath: /usr/lib64/libGLESv2_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libGLX_nvidia.so.525.85.05
          containerPath: /usr/lib64/libGLX_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libcuda.so.525.85.05
          containerPath: /usr/lib64/libcuda.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libcudadebugger.so.525.85.05
          containerPath: /usr/lib64/libcudadebugger.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvcuvid.so.525.85.05
          containerPath: /usr/lib64/libnvcuvid.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-allocator.so.525.85.05
          containerPath: /usr/lib64/libnvidia-allocator.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-cfg.so.525.85.05
          containerPath: /usr/lib64/libnvidia-cfg.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-compiler.so.525.85.05
          containerPath: /usr/lib64/libnvidia-compiler.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-egl-gbm.so.1.1.0
          containerPath: /usr/lib64/libnvidia-egl-gbm.so.1.1.0
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-egl-wayland.so.1.1.10
          containerPath: /usr/lib64/libnvidia-egl-wayland.so.1.1.10
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-eglcore.so.525.85.05
          containerPath: /usr/lib64/libnvidia-eglcore.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-encode.so.525.85.05
          containerPath: /usr/lib64/libnvidia-encode.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-fbc.so.525.85.05
          containerPath: /usr/lib64/libnvidia-fbc.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-glcore.so.525.85.05
          containerPath: /usr/lib64/libnvidia-glcore.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-glsi.so.525.85.05
          containerPath: /usr/lib64/libnvidia-glsi.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-glvkspirv.so.525.85.05
          containerPath: /usr/lib64/libnvidia-glvkspirv.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-gtk2.so.525.85.05
          containerPath: /usr/lib64/libnvidia-gtk2.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-gtk3.so.525.85.05
          containerPath: /usr/lib64/libnvidia-gtk3.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-ml.so.525.85.05
          containerPath: /usr/lib64/libnvidia-ml.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-ngx.so.525.85.05
          containerPath: /usr/lib64/libnvidia-ngx.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-nvvm.so.525.85.05
          containerPath: /usr/lib64/libnvidia-nvvm.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-opencl.so.525.85.05
          containerPath: /usr/lib64/libnvidia-opencl.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-opticalflow.so.525.85.05
          containerPath: /usr/lib64/libnvidia-opticalflow.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-ptxjitcompiler.so.525.85.05
          containerPath: /usr/lib64/libnvidia-ptxjitcompiler.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-rtcore.so.525.85.05
          containerPath: /usr/lib64/libnvidia-rtcore.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-tls.so.525.85.05
          containerPath: /usr/lib64/libnvidia-tls.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-vulkan-producer.so.525.85.05
          containerPath: /usr/lib64/libnvidia-vulkan-producer.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvidia-wayland-client.so.525.85.05
          containerPath: /usr/lib64/libnvidia-wayland-client.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/libnvoptix.so.525.85.05
          containerPath: /usr/lib64/libnvoptix.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /etc/vulkan/icd.d/nvidia_icd.json
          containerPath: /etc/vulkan/icd.d/nvidia_icd.json
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /etc/vulkan/implicit_layer.d/nvidia_layers.json
          containerPath: /etc/vulkan/implicit_layer.d/nvidia_layers.json
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/vdpau/libvdpau_nvidia.so.525.85.05
          containerPath: /usr/lib64/vdpau/libvdpau_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /lib/firmware/nvidia/525.85.05/gsp_ad10x.bin
          containerPath: /lib/firmware/nvidia/525.85.05/gsp_ad10x.bin
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /lib/firmware/nvidia/525.85.05/gsp_tu10x.bin
          containerPath: /lib/firmware/nvidia/525.85.05/gsp_tu10x.bin
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json
          containerPath: /usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/share/egl/egl_external_platform.d/15_nvidia_gbm.json
          containerPath: /usr/share/egl/egl_external_platform.d/15_nvidia_gbm.json
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/share/glvnd/egl_vendor.d/10_nvidia.json
          containerPath: /usr/share/glvnd/egl_vendor.d/10_nvidia.json
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/xorg/modules/drivers/nvidia_drv.so
          containerPath: /usr/lib64/xorg/modules/drivers/nvidia_drv.so
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
        - hostPath: /usr/lib64/xorg/modules/extensions/libglxserver_nvidia.so.525.85.05
          containerPath: /usr/lib64/xorg/modules/extensions/libglxserver_nvidia.so.525.85.05
          options:
            - ro
            - nosuid
            - nodev
            - rbind
            - rprivate
